// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: service.proto

package ec.edu.uees.msfacturasrelacional.communication.grpc.generated;

public final class Service {
  private Service() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_Factura_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_Factura_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_Item_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_Item_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\rservice.proto\032\033google/protobuf/empty.p" +
      "roto\"\256\001\n\007Factura\022\016\n\006ciudad\030\001 \001(\t\022\020\n\010empl" +
      "eado\030\002 \001(\t\022\017\n\007cliente\030\003 \001(\t\022\016\n\006codigo\030\004 " +
      "\001(\t\022\r\n\005fecha\030\005 \001(\t\022\022\n\nvalorTotal\030\006 \001(\001\022\025" +
      "\n\rvalorSubTotal\030\007 \001(\001\022\020\n\010valorIva\030\010 \001(\001\022" +
      "\024\n\005items\030\t \003(\0132\005.Item\"[\n\004Item\022\020\n\010cantida" +
      "d\030\001 \001(\005\022\020\n\010producto\030\002 \001(\t\022\030\n\020valorPorPro" +
      "ducto\030\003 \001(\001\022\025\n\rvalorUnitario\030\004 \001(\0012F\n\017Fa" +
      "cturasService\0223\n\renviarFactura\022\010.Factura" +
      "\032\026.google.protobuf.Empty\"\000BA\n=ec.edu.uee" +
      "s.msfacturasrelacional.communication.grp" +
      "c.generatedP\001b\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          com.google.protobuf.EmptyProto.getDescriptor(),
        });
    internal_static_Factura_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_Factura_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_Factura_descriptor,
        new java.lang.String[] { "Ciudad", "Empleado", "Cliente", "Codigo", "Fecha", "ValorTotal", "ValorSubTotal", "ValorIva", "Items", });
    internal_static_Item_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_Item_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_Item_descriptor,
        new java.lang.String[] { "Cantidad", "Producto", "ValorPorProducto", "ValorUnitario", });
    com.google.protobuf.EmptyProto.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
